> This page is optimized for agents. Use the linked Markdown pages and llms.txt indexes for related API content.

# Delete PetSpecification entity

- Product: Pet specifications
- Section: PetSpecification
- Snapshot: Current
- Method: `DELETE`
- Path: `/api/pet_specifications/{id}`

## Path parameters

### `id`

Type: `number`  
Required: yes  

## Execute with TypeScript

Package: `@recranet/sdk`  

```ts
import { RecranetApiClient } from "@recranet/sdk";

const client = new RecranetApiClient({ apiKey: process.env.RECRANET_API_KEY! });

const result = await client.petSpecifications.delete({
  id: 0,
});
```

## Execute with curl

```bash
curl -X DELETE "https://app.recranet.com/api/pet_specifications/$ID" \
    -H "X-Api-Key: $RECRANET_API_KEY"
```

## Responses

### Response `404`

Category: client-error  

Not found

#### `application/json`

##### Example

```json
{
  "statusCode": 404,
  "description": "Not found",
  "errors": [
    "Not found"
  ]
}
```

##### Schema

###### object

Type: `object`  

## Related representations

- [Human documentation](/pet-specifications/methods/delete/)
- [TypeScript Markdown](/pet-specifications/methods/delete.md?lang=typescript)
- [curl Markdown](/pet-specifications/methods/delete.md?lang=curl)
- [site llms.txt](/llms.txt)
- [product llms.txt](/pet-specifications/llms.txt)
- [snapshot llms.txt](/pet-specifications/llms.txt)
